
#ifndef RUNDLG_H
#define RUNDLG_H

#include "ui_rundlg.h"

class SimgridSimulation;

class RunDlg : public QDialog
{
    Q_OBJECT

public:
    RunDlg(QWidget *widget = NULL);

public slots:
	void run();
	
	void fileOpen();
	
	QString tempEntry() { return _tempEntry; }
	QString deployFile() { return _deployFile; }
	QString scriptFile() { return _scriptFile; }

private slots:
	void templateChanged(int item);

private:
    Ui_RunDlg ui;
	QString _tempEntry;
	QString _deployFile;
	QString _scriptFile;
};

#endif
